#ifndef COLORMAP_H
#define COLORMAP_H
/*
Szymon Rusinkiewicz
Princeton University

colormap.h
Define colormaps for the xshade application
*/


enum {
	// 1D styles
	COLORMAP_BW, COLORMAP_HIKEY, COLORMAP_GOOCH, COLORMAP_SEPIA,
	COLORMAP_TAN,
	// 2D styles
	COLORMAP_RAINBOW, COLORMAP_GREENBROWN,
};
const int ncolormaps = 7;
extern int colormap;
extern float Gamma;

class GLUI;
class GLUI_Panel;

void set_bgcolor();
void setuptexture();
void make_colormap_gui(GLUI *glui, GLUI_Panel *p, bool include_gamma = true);

#endif
